﻿@using Sitecore.Mvc
@model Athena.Feature.Metadata.Models.MetadataViewModel

@helper OpenGraph(string name, string value)
    {
        if (!string.IsNullOrEmpty(value))
        {
            if (!string.IsNullOrEmpty(value))
            {
                <meta property="og:@name" content="@value" />
            }
        }
    }

@helper Twitter(string name, string value)
    {
        if (!string.IsNullOrEmpty(value))
        {
            <meta property="twitter:@name" content="@value" />
        }
    }


@if (Model != null)
{
    <title>@Model.Title</title>

    <meta name="description" content="@Model.Description" />

    if (!Model.CanIndex)
    {
        <meta name="robots" content="NOINDEX" />
    }
    if (!Model.FollowLinks)
    {
        <meta name="robots" content="NOFOLLOW" />
    }
    if (!Model.ShowSnippet)
    {
        <meta name="robots" content="NOSNIPPET" />
    }
    if (!Model.Archive)
    {
        <meta name="robots" content="NOARCHIVE" />
    }


    var item = Html.Sitecore().CurrentItem;

    var canonicalField = item != null ? item["Canonical Url"] : null;
    if (!string.IsNullOrEmpty(canonicalField))
    {
        Model.CanonicalUrl = canonicalField;
        if (!string.IsNullOrWhiteSpace(Model.CanonicalQueryString) && !Model.CanonicalUrl.Contains("?"))
        {
            Model.CanonicalUrl += Model.CanonicalQueryString;
        }
    }

    Model.CanonicalUrl = Model.CanonicalUrl.Replace(":443", "");

    <link rel="canonical" href="@Model.CanonicalUrl" />

    if (!string.IsNullOrWhiteSpace(Model.Previous))
    {
        <link rel="prev" href="@Model.Previous" />
    }
    if (!string.IsNullOrWhiteSpace(Model.Next))
    {
        <link rel="next" href="@Model.Next" />
    }

    if (Model.OpenGraph != null)
    {
        @OpenGraph("title", Model.OpenGraph.Title);
        @OpenGraph("description", Model.OpenGraph.Description);
        @OpenGraph("type", Model.OpenGraph.Type);
        @OpenGraph("url", Model.CanonicalUrl);
        @OpenGraph("image", Model.OpenGraph.Image);
        @OpenGraph("video", Model.OpenGraph.Video);
        @OpenGraph("site_name", Model.OpenGraph.SiteName);
        @OpenGraph("locale", Model.OpenGraph.Locale);
    }

    if (Model.Twitter != null)
    {
        @Twitter("card", Model.Twitter.Card);
        @Twitter("title", Model.Twitter.Title);
        @Twitter("description", Model.Twitter.Description);
        @Twitter("image", Model.Twitter.Image);
        @Twitter("player", Model.Twitter.Player);
        @Twitter("player:width", Model.Twitter.PlayerWidth);
        @Twitter("player:height", Model.Twitter.PlayerHeight);
    }
}
